Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs.datatable
Class ExportNodeDataTableModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          info.bioinfweb.treegraph.gui.dialogs.datatable.ExportNodeDataTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

    public class ExportNodeDataTableModel

extends javax.swing.table.AbstractTableModel

See Also:
  Serialized Form

Field Summary
`private java.util.Vector<NodeDataAdapter>` | `adapters`

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`ExportNodeDataTableModel()`

Method Summary
`boolean` | `add(NodeDataAdapter adapter)`
`void` | `clear()`
`NodeDataAdapter` | `get(int index)`
`java.lang.Class<?>` | `getColumnClass(int col)`
`int` | `getColumnCount()`
`java.lang.String` | `getColumnName(int col)`
`int` | `getRowCount()`
`java.lang.Object` | `getValueAt(int row, int col)`
`boolean` | `isEmpty()`
`void` | `moveDown(int index)`
`void` | `moveUp(int index)`
`NodeDataAdapter` | `remove(int index)`
`NodeDataAdapter` | `set(int index, NodeDataAdapter adapter)`
`int` | `size()`
`void` | `writeData(java.io.File file, Node root)`
`void` | `writeData(java.io.OutputStream stream, Node root)`
`private void` | `writeSubtree(java.io.OutputStreamWriter writer, Node root)` Writes the node data of the subtree under root as a text.

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getListeners, getTableModelListeners, isCellEditable, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adapters

    private java.util.Vector<NodeDataAdapter> adapters

Constructor Detail

### ExportNodeDataTableModel

    public ExportNodeDataTableModel()

Method Detail

### get

    public NodeDataAdapter get(int index)

### add

    public boolean add(NodeDataAdapter adapter)

### set

    public NodeDataAdapter set(int index,
                               NodeDataAdapter adapter)

### remove

    public NodeDataAdapter remove(int index)

### clear

    public void clear()

### moveUp

    public void moveUp(int index)

### moveDown

    public void moveDown(int index)

### size

    public int size()

### isEmpty

    public boolean isEmpty()

### getColumnClass

    public java.lang.Class<?> getColumnClass(int col)

  Specified by:
    `getColumnClass` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnClass` in class `javax.swing.table.AbstractTableModel`

### getColumnName

    public java.lang.String getColumnName(int col)

  Specified by:
    `getColumnName` in interface `javax.swing.table.TableModel`
  Overrides:
    `getColumnName` in class `javax.swing.table.AbstractTableModel`

### getColumnCount

    public int getColumnCount()

### getRowCount

    public int getRowCount()

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

### writeSubtree

    private void writeSubtree(java.io.OutputStreamWriter writer,
                              Node root)
                       throws java.io.IOException

  Writes the node data of the subtree under root as a text. Each node has its own line in which the values are separated by tabs.

  Parameters:
    `writer` - - the writer to write the data with
    `root` - - the root node of the subtree to be written
  Throws:
    `java.io.IOException`

### writeData

    public void writeData(java.io.OutputStream stream,
                          Node root)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeData

    public void writeData(java.io.File file,
                          Node root)
                   throws java.io.FileNotFoundException,
                          java.io.IOException

  Parameters:
    `file` -
    `root` -
  Throws:
    `java.io.FileNotFoundException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD